跳到主要内容

向 Collection 添加 Function (V2)

This operation adds a function to the schema of an existing collection.

POST/v2/vectordb/collections/add_function
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥或用冒号分隔的用户名和密码,如 username:password。如果您使用的是项目端点,则仅具备足够权限的有效 API 密钥适用。

示例值:Bearer {{TOKEN}}
请求体application/json
dbNamestring

数据库名称。

collectionNamestring必填项

Collection 名称。

functionobjectrequired

一个 Function Schema 对象。

namestring必填项

待创建 Function 的名称。

descriptionstring

待创建 Function 的描述。

typestring必填项

待创建 Function 的类型。

inputFieldNamesarrayrequired

待创建 Function 的输入字段名称列表。

[]inputFieldNamesstring

字段名称。

outputFieldNamesarrayrequired

待创建 Function 的输出字段名称列表。

[]outputFieldNamesstring

字段名称。

paramsobject

当前 Function 的配置参数。当函数类型为 FunctionType.BM25,无须设置该参数。当函数类型为其它两类时,可以查看Embedding Functions and Reranking Functions获取详细的可用参数列表。

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/collections/add_function" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"collectionName": "my_collection",
"function": {
"name": "bm25_fn",
"type": "FunctionType.BM25",
"inputFieldNames": [
"text"
],
"outputFieldNames": [
"sparse"
]
}
}'
响应200 - application/json
codeinteger

响应码。

dataobject

返回错误消息。

codeinteger

响应码。

messagestring

错误描述。

{
"code": 0,
"data": {}
}